Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.action.spi
Interface AfterTransactionCompletionProcess

All Known Implementing Classes:
  AbstractEntityInsertAction, EntityAction, EntityDeleteAction, EntityIdentityInsertAction, EntityInsertAction, EntityUpdateAction

    public interface AfterTransactionCompletionProcess

Contract representing some process that needs to occur during after transaction completion.

Method Summary
`void` | `doAfterTransactionCompletion(boolean success, SessionImplementor session)` Perform whatever processing is encapsulated here after completion of the transaction.

Method Detail

### doAfterTransactionCompletion

    void doAfterTransactionCompletion(boolean success,
                                      SessionImplementor session)

  Perform whatever processing is encapsulated here after completion of the transaction.

  Parameters:
    `success` - Did the transaction complete successfully? True means it did.
    `session` - The session on which the transaction is completing.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.